#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Carp
%define		pnam	Assert
Summary:	Carp::Assert - executable comments
Summary(pl.UTF-8):	Carp::Assert - wykonywalne komentarze
Name:		perl-Carp-Assert
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Carp/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	72e75c152cc354420719fc9728deec71
URL:		http://search.cpan.org/dist/Carp-Assert/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Pod-Tests >= 0.18
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Carp::Assert is intended for a purpose like the ANSI C library
assert.h. An assertion is used to prevent the impossible from being
asked of your code, or at least tell you when it does.

%description -l pl.UTF-8
Moduł Carp::Assert służy do tego, co assert.h z ANSI C. Używa się
zapewnień (assertion), aby wykluczyć występowanie rzeczy niemożliwych,
albo przynajmniej wiedzieć, gdzie się zdarzają.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Carp/Assert.pm
%{_mandir}/man3/Carp::Assert.3pm*
%changelog
* Thu Oct 19 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Carp-Assert.git;a=log;h=master

* Tue Jun 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 7b71766
- updated to 0.21

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d84715d
- release 2

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 48c04bd
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 093027a
- up to 0.20

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> fa4b252
- there is no /usr/bin/pod2test in current perl-Test-Inline,
  BR perl-Pod-Tests instead
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3151636
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d90fc6
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 9999bee
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7b0b5bd
- formatting

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 1e425f9
- BR fix, rel. 3

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 47af708
- BR: perl-Test-Inline, rel. 3

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 62fcb5f
- rel. 2

* Mon Nov 01 2004 Jakub Bogusz <qboosh@pld-linux.org> d6e47c4
- vendorlib/Carp dir moved to perl-base

* Thu Jul 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 4b991f0
- updated Test::More BR

* Sat Jun 05 2004 radek <radek@pld-linux.org> 579528e
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> f9288c6
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 7157e77
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 8e2b59a
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 705f031
- license fixes and unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> f3abd18
- updated to 0.18

